For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all events
        • GETGet an event by ID
        • POSTCreate event for an applicant
        • POSTCreate event for a lead
        • POSTCreate event for a resident
        • GETGet all event types
        • GETGet event type by ID
        • GETGet all event sub types
        • GETGet event sub type by ID
        • GETGet all event results
        • GETGet event result by ID
        • PUTUpdate an event for an applicant
        • PUTUpdate an event for a lead
        • PUTUpdate an event for a resident
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsEvents

Update an event for a resident

PUT
/v1/events/residents/:event_id
PUT
/v1/events/residents/:event_id
$curl -X PUT https://api.propexo.com/v1/events/residents/event_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "data": {}
4}
Update an event for a resident
Was this page helpful?
Previous

Get all file types

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired
The Propexo unique identifier for the event

Request

This endpoint expects an object.
event_datetimestringOptionalformat: "date-time"
The date when the event will occur
event_type_idstringOptional
The Propexo unique identifier for the event type
employee_idstringOptional

The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

statusenumOptional
The raw status associated with the event
Allowed values:
notesstringOptional
Notes associated with the event

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error